using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;

using Celeste.Mod.CelesteNet.Client;
using Celeste.Mod.CelesteNet.Client.Entities;
using Celeste.Mod.CelesteNet.DataTypes;

namespace Celeste.Mod.Eevee_Skinmod {
    //This is also taken from the Avali Skin, since i dont know what does what i took everything.
    public class EeveeConfig {
        private static EeveeSettings Settings => EeveeModule.Settings;

        public bool Enabled;
        public int Dash;
        public SkinPalette palette;

        public bool IsEnabled(Player player) {
            return Enabled;
        }

        public bool IsEnabled(Ghost ghost) {
            return Settings.cNetEnable && ( (Enabled && (Settings.cNetSyncMode == 0 || Settings.cNetSyncMode == 1 )));
        }

        public Color GetColor(Player player) {
            int dashes = player.Dashes;
            return player.Hair.GetHairColor(0);
        }

        public Color GetColor(Ghost ghost) {
            if (ghost.Hair != null && ghost.Sprite.HairCount > 0) {
                return ghost.Hair.GetHairColor(0);
            } else {
                return new Color(0, 0, 0);
            }
        }

    }
}
